<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">
<generatorConfiguration>
    <!--Mybatis Generator生成目录配置-->
    <properties resource="generatorConfig.properties"/>
    <context id="test" targetRuntime="MyBatis3Simple">
        <!--<plugin type="org.mybatis.generator.plugins.EqualsHashCodePlugin"></plugin>-->
        <plugin type="org.mybatis.generator.plugins.SerializablePlugin"></plugin>
        <plugin type="org.mybatis.generator.plugins.ToStringPlugin"></plugin>
        <!-- 通用mapper插件 -->
        <plugin type="tk.mybatis.mapper.generator.MapperPlugin"> <!-- 此处的 MyMapper注意一定不能被扫描到-->
            <property name="mappers" value="tk.mybatis.mapper.common.Mapper,tk.mybatis.mapper.common.MySqlMapper"/>
        </plugin>
        <commentGenerator>
            <!-- 这个元素用来去除指定生成的注释中是否包含生成的日期 false:表示保护 -->
            <!-- 如果生成日期，会造成即使修改一个字段，整个实体类所有属性都会发生变化，不利于版本控制，所以设置为true -->
            <property name="suppressDate" value="true"/>
            <!-- 是否去除自动生成的注释 true：是 ： false:否 -->
            <property name="suppressAllComments" value="true"/>
        </commentGenerator>
        <jdbcConnection driverClass="com.mysql.jdbc.Driver"
                        connectionURL="jdbc:mysql://115.159.67.166:6630,115.159.67.166:6630/saas_micro_progeram" userId="Bf_User" password="L$^U4P3^2p1uGF"/>

        <!--指定生成的类型为java类型，避免数据库中number等类型字段 -->
        <javaTypeResolver>
            <property name="forceBigDecimals" value="false"/>
        </javaTypeResolver>

        <!--自动生成的实体的存放包路径 -->
        <javaModelGenerator targetPackage="${javaModelTargetProject}"
                            targetProject="../common-interface/src/main/java">
            <property name="enableSubPackages" value="true"/>
            <property name="trimStrings" value="true"/>
        </javaModelGenerator>

        <!--自动生成的*Mapper.xml文件存放路径 -->
        <sqlMapGenerator targetPackage="${sqlMapTargetProject}"
                         targetProject="src/main/resources">

        </sqlMapGenerator>

        <!--自动生成的*Mapper.java存放路径 -->
        <javaClientGenerator type="XMLMAPPER"
                             targetPackage="${javaClientTargetProject}" targetProject="src/main/java">
            <property name="enableSubPackages" value="true"/>
        </javaClientGenerator>



        <table tableName="order_push_log" domainObjectName="OrderPushLog"
               enableCountByExample="true" enableUpdateByExample="true"
               enableDeleteByExample="true" enableSelectByExample="true"
               selectByExampleQueryId="true">
        </table>
        <!--<table tableName="sharding_data_source_detail" domainObjectName="ShardingDataSourceRuleDetail"-->
               <!--enableCountByExample="true" enableUpdateByExample="true"-->
               <!--enableDeleteByExample="true" enableSelectByExample="true"-->
               <!--selectByExampleQueryId="true">-->
        <!--</table>-->
        <!--<table tableName="partner_setting" domainObjectName="PartnerSetting"-->
               <!--enableCountByExample="true" enableUpdateByExample="true"-->
               <!--enableDeleteByExample="true" enableSelectByExample="true"-->
               <!--selectByExampleQueryId="true">-->
        <!--</table>-->
        <!--<table tableName="partner_taobao" domainObjectName="PartnerTaobao"-->
               <!--enableCountByExample="true" enableUpdateByExample="true"-->
               <!--enableDeleteByExample="true" enableSelectByExample="true"-->
               <!--selectByExampleQueryId="true">-->
        <!--</table>-->

    </context>
</generatorConfiguration>